package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.KnzzGlApply;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 国家励志奖学金Mapper接口
 *
 * @author srs
 * @date 2025-04-26
 */
public interface KnzzGlApplyMapper extends BaseMapper<KnzzGlApply> {



    public List<KnzzGlApply> listView(KnzzGlApply param);


    /**
     * 查询国家励志奖学金
     *
     * @param id 国家励志奖学金主键
     * @return 国家励志奖学金
     */
    public KnzzGlApply selectKnzzGlApplyById(Long id);

    /**
     * 查询国家励志奖学金列表
     *
     * @param knzzGlApply 国家励志奖学金
     * @return 国家励志奖学金集合
     */
    List<KnzzGlApply> selectKnzzGlApplyList(KnzzGlApply knzzGlApply);

    /**
     * 新增国家励志奖学金
     *
     * @param knzzGlApply 国家励志奖学金
     * @return 结果
     */
    int insertKnzzGlApply(KnzzGlApply knzzGlApply);

    /**
     * 修改国家励志奖学金
     *
     * @param knzzGlApply 国家励志奖学金
     * @return 结果
     */
    int updateKnzzGlApply(KnzzGlApply knzzGlApply);

    /**
     * 删除国家励志奖学金
     *
     * @param id 国家励志奖学金主键
     * @return 结果
     */
    int deleteKnzzGlApplyById(Long id);

    /**
     * 批量删除国家励志奖学金
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteKnzzGlApplyByIds(Long[] ids);
}
